%define package fusioninventory
%define version 2.3.20
%define release 1

Name:		wpkg-%{package}
Version:	%{version}
Release:	%{release}%{?dist}
Summary:	%{package} for WPKG on iPasserelle

Group:		System/Softwares
URL:		http://www.ipasserelle.com
Source0:	%{name}-%{version}.tar.gz
License:	misc

BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	unix2dos
BuildRequires:	e-smith-devtools

Requires:	ipasserelle-gp

%description
%{package} for WPKG on iPasserelle

%prep
%setup -q -n %{name}-%{version}

%build
unix2dos packages/*
perl ./createlinks

%install
/bin/rm -rf %{buildroot}
cp -a root %{buildroot}/
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/settings/%{package}
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/packages
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}
cp -r softwares/* %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}/
cp -r packages/* %{buildroot}/home/e-smith/files/shares/wpkg/files/packages/

%clean
/bin/rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG.git
/home/e-smith/files/shares/wpkg/files/
%attr(554, root, root) /etc/e-smith/events/actions/wpkg-fusioninventory-cacert
/etc/

%changelog
* Mon Jun 5 2017 Daniel Berteaud <daniel@firewall-services.com> - 2.3.20-1
- Update to 2.3.20

* Tue Feb 21 2017 Daniel Berteaud <daniel@firewall-services.com> - 2.3.19-1
- Update to 2.3.19

* Tue Jul 12 2016 Daniel Berteaud <daniel@firewall-services.com> - 2.3.18-1
- Update to 2.3.18

* Fri Oct 9 2015 Daniel Berteaud <daniel@firewall-services.com> - 2.3.17-1
- Update to 2.3.17

* Mon Mar 23 2015 Daniel Berteaud <daniel@firewall-services.com> - 2.3.16-1
- Update to 2.3.16

* Mon Feb 23 2015 Daniel Berteaud <daniel@firewall-services.com> - 2.3.15-1
- Update to 2.3.15

* Tue Jan 6 2015 Daniel Berteaud <daniel@firewall-services.com> - 2.3.14-1
- Update to 2.3.14

* Mon Nov 24 2014 Daniel Berteaud <daniel@firewall-services.com> - 2.3.13-1
- Update to 2.3.13

* Tue Oct 14 2014 Daniel Berteaud <daniel@firewall-services.com> - 2.3.12-1
- Update to 2.3.12

* Mon Sep 1 2014 Daniel Berteaud <daniel@firewall-services.com> - 2.3.10.1-1
- Update to 2.3.10.1

* Mon Jul 21 2014 Daniel Berteaud <daniel@firewall-services.com> - 2.3.9-1
- update to 2.3.9

* Tue May 20 2014 Daniel Berteaud <daniel@firewall-services.com> - 2.3.8-1
- Update to 2.3.8

* Fri May 2 2014 Daniel Berteaud <daniel@firewall-services.com> - 2.3.7-1
- update to 2.3.7

* Thu Mar 13 2014 Daniel Berteaud <daniel@firewall-services.com> - 2.3.6-1
- update to 2.3.6

* Fri Jan 17 2014 Daniel Berteaud <daniel@firewall-services.com> - 2.3.5-1
- update to 2.3.5

* Wed Dec 4 2013 Daniel Berteaud <daniel@firewall-services.com> - 2.3.4-1
- update to 2.3.4

* Thu Nov 7 2013 Daniel Berteaud <daniel@firewall-services.com> - 2.3.3-1
- update to 2.3.3

* Mon Sep 30 2013 Daniel Berteaud <daniel@firewall-services.com> - 2.3.2-1
- update to 2.3.2

* Wed Sep 18 2013 Daniel Berteaud <daniel@firewall-services.com> - 2.3.1-1
- update to 2.3.1

* Tue Sep 3 2013 Daniel Berteaud <daniel@firewall-services.com> - 2.3.0-1
- upgrade to 2.3.0

* Wed Apr 3 2013 Daniel Berteaud <daniel@firewall-services.com> - 2.2.7-4
- update to 2.2.7-4

* Tue Jan 15 2013 Daniel Berteaud <daniel@firewall-services.com> - 2.2.7-3
- update to 2.2.7-3

* Wed Dec 12 2012 Daniel Berteaud <daniel@firewall-services.com> - 2.2.7-1
- update to 2.2.7

* Thu Sep 20 2012 Daniel Berteaud <daniel@firewall-services.com> - 2.2.6-1
- update to 2.2.6

* Wed Aug 22 2012 Daniel Berteaud <daniel@firewall-services.com> - 2.2.5-1
- update to 2.2.5

* Mon Jul 23 2012 Daniel Berteaud <daniel@firewall-services.com> - 2.2.4-1
- update to 2.2.4

* Thu Jul 12 2012 Daniel Berteaud <daniel@firewall-services.com> - 2.2.3-2
- Don't hardcode path in registry

* Thu Jun 28 2012 Daniel Berteaud <daniel@firewall-services.com> - 2.2.3-1
- update to 2.2.3

* Fri Jun 8 2012 Daniel Berteaud <daniel@firewall-services.com> 2.2.2-1
- Update to 2.2.2
- Stop the service before importing reg settings

* Fri Jun 8 2012 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-2
- Fix reg templates

* Wed Jun 6 2012 Daniel Berteaud <daniel@firewall-services.com> 2.2.0-1
- change version scheme

* Mon Jun 4 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1+2.2.0
- initial release with Fusion Inventory Agent 2.2.0

